// Arguments passed into this controller can be accessed via the `$.args` object directly or:
var args = $.args;

exports.openWindow = function (tab) {
	tab.open($.notifications_window);
};

$.cleanup = function cleanup() {

  // let Alloy clean up listeners to global collections for data-binding
  // always call it since it'll just be empty if there are none
  $.destroy();

  // remove all event listeners on the controller
  $.off();
};

function makeVisible (view) {
	view.visible = true;
	view.height = Ti.UI.SIZE;
}

function makeInvisible (view) {
	view.visible = false;
	view.height = 0;
}

var dayInt;
switch (Alloy.Globals.day) {
	case "Monday":
		dayInt = 0;
		break;
	case "Tuesday":
		dayInt = 1;
		break;
	case "Wednesday":
		dayInt = 2;
		break;
	case "Thursday":
		dayInt = 3;
		break;
	case "Friday":
		dayInt = 4;
		break;
	case "Saturday":
		dayInt = 5;
		break;
	case "Sunday":
		dayInt = 6;
		break;
}

$.day_of_week_picker.setSelectedRow(0, dayInt, false);
$.time_of_day_picker.value = Alloy.Globals.time;

// set the proper button to start out as on based on the settings
var frequency = Ti.App.Properties.getString('notifications', Alloy.Globals.NotificationsEnum.DAILY);
makeInvisible($.daily_view);
makeInvisible($.weekly_view);

function reportTime (event) {
	
}

function reportDay (event) {
	
}

function reportFrequency (event) {
	
}

function setOn (button) {
	
}

function setOff (button) {
	
}

function neverClicked (event) {
	
}

function dailyClicked (event) {
	
}

function weeklyClicked (event) {
	
}
