// Arguments passed into this controller can be accessed via the `$.args` object directly or:
var args = $.args;

// Get the date from the arguments
var date = args.date;

$.datePicker.setValue(date);
if (OS_IOS) {
	$.datePicker.setMinDate(startDateDate);
	$.datePicker.setMaxDate(endDateDate);
}

function changeDate (event) {
	var newDate = $.datePicker.getValue();
	args.changeDate(newDate);
	closeModal();
}

function goToday(event) {
	args.changeDate(new Date());
	closeModal();
}

function reportDate (event) {
	// The picker itself is not enforcing start dates or end dates
	// Honestly, I don't have to enforce them.
	// Is this a bug or not?
}

function closeModal (event) {
	$.destroy();
	$.modal_window.close();
}

function absorbEvent (event) {
	// Exists only to take the event away from the other possible acceptors
}

exports.openModal = function () {
	$.modal_window.open({
		animate: true
	});
};