// Arguments passed into this controller can be accessed via the `$.args` object directly or:
var args = $.args;

var moment = require('alloy/moment');

exports.openWindow = function (tab) {
	tab.open($.progress_window);
};

var challenge = Alloy.Collections.challenge;
challenge.fetch();

var dailySingleTimeWeek = Alloy.Collections.dailySingleTimeWeek;
var dailyMultiTimeWeek = Alloy.Collections.dailyMultiTimeWeek;
var weeklySingleTimeWeek = Alloy.Collections.weeklySingleTimeWeek;
var challengelySingleTimeWeek = Alloy.Collections.challengelySingleTimeWeek;

var progressInfo = Alloy.Collections.progressInfo;
// Add dummy data in order to force the filter to run
var dummy = Alloy.createModel('progressInfo', {
	weekName: 'dummy',
	currentCredits: 0,
	maxCredits: 0,
	creditName: Ti.App.Properties.getString('creditName')
});
progressInfo.add(dummy);
dummy.save();

$.cleanup = function cleanup() {

  // let Alloy clean up listeners to global collections for data-binding
  // always call it since it'll just be empty if there are none
  $.destroy();
  
  // get rid of the dummy data
  dummy.destroy();
  progressInfo.remove(dummy);

  // remove all event listeners on the controller
  $.off();
};

// you could also do this via the view's onClose attribute
$.progress_window.addEventListener('close', $.cleanup);

function scheduleChallengeAchievementLogging(challengeName)
{
	
}

function focusEvent (event) {

	updateWindowData();
}

var tColor, iColor, nColor;

if (OS_IOS) {
	tColor = "#40FF00";
	iColor = "#40FF00";
	nColor = "#FFFFFF";
}

if (OS_ANDROID) {
	tColor = "#006400"; // Dark Green
	iColor = "#006400"; // Dark Green
	nColor = "#414141";
}

function addCurrentCredits(totalChallengeWeeks, currentWeekIndex, previousWeekPoints) {
	
}

function updateView () {
	updateWindowData();
}

function getCurrentWeekIndex(weekOrder) {
	return -1;
}

// Make sure the window gets updated once loading completes.
Alloy.Globals.registerLoadingCallback(updateView);

function populateFilter (collection) {
	
	var sortedModels = [];
	
	return sortedModels;
}

function explainPrediction(event) {
	
}
